# Hello!

This is a reference guide for the Twine editor. It describes Twine's user
interface and introduces the larger ecosystem that surrounds it. If you've never
built anything with Twine before, this will guide through the basics and point
you to resources that will help continue to learn.

You don't need any previous programming or game-making experience to be
successful with Twine. These elements can be gradually introduced into the
things you make as you grow more comfortable with the application.

## What Is Twine Good At?

- **Text-based storytelling**. Twine is very text-focused, though you can use
  images, sound, and video.

- **Branching narratives**. Twine's user interface is designed to make
  it easy to visualize the flow through branches of a narrative.

- **Web-based publishing**. Twine publishes to HTML files which can be uploaded
  on any web hosting service or shared privately. People can play the things you
  make without installing any extra software.

## What Is Twine Bad At?

This is especially difficult to define, because authors are so ingenious and
constantly push at the boundaries of what is possible. Because Twine is deeply
enmeshed with the web platform, anything that can be done in a browser can be
done with Twine--but you might be better-served using a different tool.

- **Heavy use of multimedia.** It's possible to incorporate images, sound, and
  video into the things you create with Twine, but the workflow can feel
  awkward, especially if you are using lots of multimedia assets. You might be
  happier using a tool like [Ren'Py](https://www.renpy.org).

- **Online and multiplayer play.** There have been experiments with making Twine
  games that are playable by multiple people simultaneously, but doing so
  requires a good deal of programming knowledge. There have not been many modern
  successors to the [MUD](https://en.wikipedia.org/wiki/MUD) model, but
  [Seltani](http://seltani.net) is one.

- **Works that involve a world model, or that use interaction models other than
  clicking links, like a text parser or a graphical world.**
  [Inform](http://inform7.com) or [Bitsy](http://www.bitsy.org), for example,
  might be better fits for these.

See [Limitations] for more details on some of the above and some possible ways
to work around these issues.

## See Also...

In order to use Twine most effectively, you should spend some time reading the documentation for the story format you're using. ([Wait, what's a story format?](whats-a-story-format)) 

- [Chapbook](http://klembot.github.io/chapbook/guide/)
- [Harlowe](https://twine2.neocities.org)
- [Snowman](https://videlais.github.io/snowman/2/)
- [SugarCube](http://www.motoslave.net/sugarcube/2/)

You might also find the [Twine Cookbook](cookbook) useful to read. It contains example code and explanations for things Twine authors often want to do.