# Getting Around in Twine

Some parts of Twine's interface are present no matter what you're doing in
Twine.

## The Top Toolbar

There's a toolbar that sits at the top of the screen no matter where you are in
Twine. It's split into labelled tabs. The active tab has a blue border beneath
the label.

In general, when you're using Twine, you'll select items below the top toolbar,
then use buttons in the toolbar to perform an action on them.

## The Back Button

In most parts of Twine, there is a _Back_ button nestled in one corner of the
top toolbar. It's blue to help it stand out. This button works like a back
button in a web browser. If you've navigated between different screens in Twine,
it will take you back to the screen you were last in.

The _Back_ button isn't present in the [Story Library screen](../story-library)
because it's Twine's equivalent of a home page.

## The Help Button

You'll find a _Help_ button on the opposite side of where the _Back_ button
resides. This opens this guide in your web browser.

## The Twine Toolbar Tab

No matter where you are in Twine, there will be a tab at the end of the top
toolbar labeled _Twine_. This tab contains actions related to Twine itself.

- _Preferences_ opens the [Preferences dialog](../preferences), where you can
  customize how Twine works.
- _Story Formats_ takes you to the [Story Formats](../story-formats) screen,
  where you can manage story formats installed in your version of Twine.
- _About Twine_ opens a dialog showing the version of Twine you're using and a
  list of people who have contributed to Twine.
- _Report a Bug_ takes you to Twine's source code repository, where you can
  report a bug or suggest an improvement to the application.

## Dialogs

Certain actions in Twine will open dialog boxes along one side of the screen
with more detail about a particular action. For example, editing a passage will
open a dialog box with the passage text.

Dialog boxes have an x button in their corner that closes the dialog. They also
have a chevron (›) button on the opposite side that collapses the dialog so that
only its title bar is visible.

You can have as many dialogs open as you have room onscreen from. Right now, the
order of dialogs can't be changed, nor can the size of dialogs onscreen.